from django.utils import timezone

import datetime

def get_week(year, week):
    start = timezone.make_aware(datetime.datetime.strptime(
        "{0}-W{1:02d}-1".format(year, week), "%Y-W%W-%w"))
    end = start + datetime.timedelta(weeks=1)

    return start, end

def group_courses(courses):
    grouped_courses = []
    for i, course in enumerate(courses):
        if i == 0 or courses[i - 1].begin.day != course.begin.day:
            grouped_courses.append([course])
        else:
            grouped_courses[-1].append(course)

    return grouped_courses
